Plugin error from dada2: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

Hi, I’m using qiime2-2019.4 in MacOS.

I run dada2 with this command:

qiime dada2 denoise-paired
–i-demultiplexed-seqs paired-end-demux.qza
–p-trunc-len-f 270
–p-trunc-len-r 220
–p-trim-left-f 17
–p-trim-left-r 21
–o-table table.qza
–o-representative-sequences rep-seqs.qza
–o-denoising-stats denoising-stats.qza
–p-n-threads 0

and I get this error:
Plugin error from dada2:

An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

#This is log file:
Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_paired.R /var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/forward /var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/reverse /var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/output.tsv.biom /var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/track.tsv /var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/filt_f /var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/filt_r 270 220 17 21 2.0 2 consensus 1.0 0 1000000

R version 3.5.1 (2018-07-02)
Loading necessary packages: Rcpp
Error: package or namespace load failed for ‘Rcpp’ in rbind(info, getNamespaceInfo(env, “S3methods”)):
The number of columns in each matrix must match (see argument 2)
Error: package ‘Rcpp’ can not be loaded
Execution stopped
Traceback (most recent call last):
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 231, in denoise_paired
run_commands([cmd])
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
subprocess.run(cmd, check=True)
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_dada_paired.R’, ‘/var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/forward’, ‘/var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/reverse’, ‘/var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/output.tsv.biom’, ‘/var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/track.tsv’, ‘/var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/filt_f’, ‘/var/folders/vr/y6w275dn6kxb1g7txmbfzw6m0000gn/T/tmpsq6exit3/filt_r’, ‘270’, ‘220’, ‘17’, ‘21’, ‘2.0’, ‘2’, ‘consensus’, ‘1.0’, ‘0’, ‘1000000’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File “</Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-451>”, line 2, in denoise_paired
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File “/Users/mac/anaconda2/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 246, in denoise_paired
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

It would be great if anyone could guide me.

Hi @Hyebin_Ryu,

Welcome to the forum!

It looks like you have an issue with your installation and you could not load the Rcpp package.

What plaform are you using to run QIIME 2?

Best,
Justine

Hi @jwdebelius, thanks for your answer!
I use terminal for running in MacOS high sierra ver 10.13.6.

Hi @Hyebin_Ryu,

Thanks! Could you try creating a new conda enviroment, and seeing if that fixes your install issue? Just call the new version QIIME2-2019.4-1 or something?

Best,
Justime

1 Like

Hi @jwdebelius,
I uninstalled anaconda, and reinstalled anaconda3.
and I created a new conda environment.
After all, I run dada2 again with same command.
But same error occurred. TT

Hi @Hyebin_Ryu,

Just to double check, are you using Anaconda or Miniconda?

Best,
Justine

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.